using UnityEngine;
using System.Collections;

public class SpeedPickup : PlayerPickups {

	float skillIncrease;
	
	void Awake()
	{
		base.Awake();
		skillIncrease = 2.25f; // kept like this in case we want to tweak it a little later and not both pickup types at the same time...
	}


	void OnTriggerEnter2D(Collider2D col)
	{
		GameObject.Find("Player").GetComponent<MyPlayer>().skills.IncreaseSkill("Speed",skillIncrease);
		Debug.Log("Speed: " + skills.GetSkill("Speed"));
		Destroy(gameObject);
	}
}